Pages

Update the page draft

PUT
/pages/{page_id}/draft

Replace the draft definition, name, settings or html of a page. Published links keep showing their published version until pages.publish runs again. Kind 'html' declares its inputs and data bindings in definition {fields, data}.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

page_id*Page Id

Resource identifier: page_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/pages/123e4567-e89b-42d3-a456-426614174000/draft" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "name": "Quarterly report",    "settings": {      "locale": "en"    },    "assets": [      {        "key": "report",        "resource_id": "123e4567-e89b-42d3-a456-426614174005"      }    ],    "expected_updated_at": "2026-01-01T00:00:00Z"  }'
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "space_id": "123e4567-e89b-42d3-a456-426614174002",  "kind": "html",  "name": "Quarterly report",  "status": "PUBLISHED",  "source_type": "USER",  "source_id": null,  "current_version": {    "id": "123e4567-e89b-42d3-a456-426614174001",    "number": 3,    "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b",    "created_at": "2026-09-04T12:00:00Z"  },  "submission_count": 0,  "link_count": 1,  "visit_count": 12,  "created_at": "2026-09-04T12:00:00Z",  "updated_at": "2026-09-04T12:00:00Z",  "source_document_id": null,  "source_metadata": {},  "draft_definition": {},  "draft_settings": {},  "draft_assets": [],  "created_by": {    "id": "123e4567-e89b-42d3-a456-426614174002",    "name": "Ada Lovelace",    "email": "ada@example.com"  }}